Change log
----------

The current version is 1.5 build 1060

build 1060 (linux only)
----------

1) Bug fixed: Wink was crashing in some projects when rendering in non-palette mode, only in linux version. Fixed now.

build 1053
----------

1) Bug fixed: If a new project was created and cropped to a smaller size, adding new callouts to frames was causing the textbox and next/previous buttons go out of the frame.
2) Bug fixed: Wink was crashing when running on linux machines with display depth < 24 bits per pixel (number of colours = 256 or thousands).


build 1051
----------

1) If Wink was run using a symbolic link in linux it gave a lot of Gdk errors and exits. To fix this Wink now checks if it is being run from a symbolic link and if so checks for the environmental variable WINK_INSTALL_DIR. Set this to the right directory where Wink is installed to work around the issue.

build 1050
----------

1) Bug: Both linux and windows versions were not saving the callouts properly in Danish, fixed now
2) Bug: The windows version had issues when dragging a thumbnail and dropping it exactly in the middle of two other thumbnails where it did not select either of them, fixed now.
3) Bug: Dragging a thumbnail and dropping it on itself was freezing Wink, fixed now
4) Bug: Changing any of the layout options (show/hide toolbar, status bar, properties bar) required a restart of Wink to get the correct effect, fixed now


build 1040
----------

1) Bug: Wink was creating unnamed files (with just the extension) when rendering if the user entered no filename in the projct settings dialog. fixed now.
2) Bug: The buttons in "Apply template" dialog were smaller than the text, fixed now
3) Wink was running through the frames in the background when cropping frames. Fixed now.
4) Bug: In the choose goto button target frame dialog the default choice was not selected (first frame was always selected), fixed now.
5) Bug: Typing an absolute path for the output file name in project settings
resulted in an absolute path in the html file calling the flash file. So the rendered htm was not opening the swf properly when it was viewed in windows. Fixed now.
6) Bug: If the controlbar was enabled in the output SWF, the thumb image and the progress bar was visible when the preloader was shown. Fixed now.
7) Bug: Clicking on the controlbar during the movie did not set the position at the correct frame, fixed now.
8) Bug: If the 'smooth' option in the flash preloader was unchecked Wink was still showing the preloader progress bar in a smooth manner in the output SWF file (with latest flash player ver 7.0), fixed now.
9) Bug: Image-paths were wrong in the html file from the html export if the path specified in the html export dialog was just the filename without any path, fixed now.
10) Bug: When more than element was selected and the user tries to drag them all by clicking-and-dragging on the border of any selected item, only that item was moved. Fixed now.
11) Bug: If a thumbnail was dragged and dropped in the second half of the area between two other thumbnails, Wink was incorrectly moving the dragged frames to the end of the project. Fixed now.
12) Bug: Callouts were not saved properly in the callout editor in languages which use the "," character as the decimal separator. Fixed now.


build 1030 (changes for linux only)
----------

1) Fixed bug: Selecting a window to capture was selecting random outlines, fixed now.
2) Fixed bug: A new capture was not capturing the cursor, fixed now. The cursor image will not be captured (a default arrow cursor will always be shown in newly captured frames) but the cursor position will be shown correctly.
3) Fixed bug: In a few themes the "Insert frames" dialog was not showing the contents properly. Fixed now.
4) Fixed bug: In the resize all frames dialog the default option was not selected among the 3 possibilities, fixed now.
5) Fixed bug: In the export to html dialog the OK and cancel buttons were not visible, fixed now.
6) Fixed bug: When creating a palette, exporting to a file, resizing frames etc. 
Wink displayed the actual frames in the background, fixed now.
7) The images shown in the preview for choose flash preloader/controller dialog were not displayed in the centre of the window, fixed now.
8) Fixed bug: In the choose flash preloader/controller dialog the default choice was not selected, fixed now.
9) Fixed bug: Wink was freezing when updating the thumbnails when resizing thumbnails, inserting frames or importing text. Fixed now.
10) Fixed bug: Dragging a frame in the thumbnail view was creating a copy, not moving it. Fixed now.
11) When creating a palette Wink was running through all the frames in the project and displaying them in the main view. Fixed now.
12) Fixed bug: If textboxes aren't very wide the text was overflowing the textbox while editing it. Also the scrollbar was not visible because it will be placed outside the visible area. fixed now.



build 1000
----------

1) Optimized render to swf - renders are now more than 3 times faster.
2) Fixed resource freeing bug in win98/me that happened when capturing. Symptoms include the message 'cannot insert image into imagelist' that popped up after finishing capture.
3) Optimized and reduced the size of the installer by 10% (200 kb less)
4) Added option to disable a feature while taking captures - this fixes the crash in WinNT.


build 870
---------

1) Double-click on the capture systray icon will now restore the minimized window, not capture a new screenshot
2) Added Brazilian portuguese language.
3) linux: Removed all input-driven capture options from the UI since it is supported only on windows.
4) linux: now sets focus to the textbox properly when beginning to edit a callout's text.
5) linux: Cursors were not getting displayed properly in the main view, when moving the mouse over key areas such as over a callout or a button etc. Fixed now.
6) linux: when editing a callout's text, clicking outside the text area and in the main view will now save and end the editing. 
7) linux: The background of the cursor shown in choose cursor dialog was displaying junk, fixed now.
8) linux: CPU was hogged when doing timed capture and a large area was chosen. In this setup it was not possible to stop timed capture since Wink was not responding to user input. Fixed now.
9) linux: When running after a crash Wink was displaying a message about a stale lock file. This message has been removed now.


build 850
---------

1) Callout editor now treats "1,5" and "1.5" as 1 and a half (since languages like Danish use a comma for decimal)
2) Fixed annoying bug - after editing a callout's text now focus comes to Wink main window instead of going to the taskbar.
3) Fixed bug - crash happened when the width/height of a textbox or title rectangle was < 0 (i.e. right value < left value), and this happened quite frequently if manually entering the values in the properties bar. Fixed now.
4) Fixed various language strings and issues.
5) Updated documentation and samples to the latest version.
6) Added Italian translation


build 800
---------

1) Fixed a crash that happened when pressing input-driven capture hotkey while capture was going on.
2) Changed key-driven capture to take a shot before and after pressing a key (if needed)  for better captures
3) Entering a value for the wait time (ms) field in the properties bar did not enable the timer icon in the thumbnail view. Fixed now.
4) Added mousewheel support in input-driven capture. Using the mouse wheel in input driven capture will capture screenshots.
5) Fixed hang/freeze when dragging frames in the thumbnail window and dropping them on the scrollbar of the same window.
6) Fixed crash when the ChooseTargetFrame dialog for a goto button was opened and the goto button was referencing a frame outside the last frame (eg. a project has 20 frames, one goto in frame 10 points to frame 20 and this goto was copied to another project with only 5 frames, etc..)
7) Fixed crash when copying a screenshot in one frame of one project to another project, and the project's sizes (width & height) are different.
8) Fixed bug - in the callout editor, selecting the curve tool and clicking-and-releasing the mouse in any position altered the previous selected shape weirdly. Fixed now.
9) The 3 export options were exporting to the Wink start menu folder if a folder was not given in the path name. Fixed now.
10) Fixed bug - if there was a space in the external html viewer path it was not getting executed when ViewRenderedOutput was chosen. Fixed now.
11) The 3 export options and project settings dialog now add the file extension properly if the user did not enter an extension.
12) The capture sound is now played only when a frame is really captured (useful when using input-driven capture mode)
13) When creating a new project with no frames, the thumbnail window size was smaller than usual so after adding frames a portion of the icons was not visible. Fixed now
14) Fixed bug - Changing between simple and advanced properties bar was making it visible even when it was set to be hidden. Fixed now
15) It is now possible to click the down arrow in the ShiftAllElements dialog and go to negative pixel values.
16) The play/pause button will now show "Play" after the swf movie has finished playing, so the user can press play again to start over.
17) Files dragged from windows explorer and dropped on the Wink window will now be open properly.
18) Fixed crash in editing a flash controlbar which had no button images chosen and when a progress image was selected.
19) When creating a new project, the first time ProjectSettings dialog is opened the output filename field was empty. Now Wink will fill in a default name based on the project filename (if the project has been saved).
20) Fixed crash - When editing a callout the redo button in the toolbar was enabled even before doing any action, and clicking it caused a crash. Fixed now.
21) Image > ShiftAllElements will now operate on all frames in the project, not just the selected ones because it also has to modify the frame position which is common to all frames and hence will create confusion.
22) Fresh install of Wink will now show the properties bar in simple mode like Wink 1.0 did.
23) Added language switching support - File > Choose Language will show a list of available languages. German is not yet complete but the rest are almost complete.

build 760
---------

1) Key-driven capture now takes only 1 snapshot for each keypress to optimize captures
2) Key-driven capture now ignores key repeats (keeping a key pressed for a long time)
3) Install issue with cartoon-cream control bar is fixed
4) Bug with updating thumbnail numbers when doing drag-and-drop is fixed
5) Current frame textbox in toolbar now selects existing text when clicked
6) Numeric keypad numbers now work with the thumbnail window to goto a particular frame
7) Bug when doing drag-n-drop between multiple instances of Wink is fixed. Drag-n-drop between instances is not supported, use copy and paste instead (this message is also shown if drag-n-drop is tried)
8) Fixed issue in NT4 and Win95/98 where if IE4 was not installed an error about "missing entry point SHGetSpecialFolderPathA" was displayed.

build 750
---------

1) Changed flash controlbar display in the choose controlbar dialog to show two bars, more accurately displaying how the bar will look like in the output.
2) Fixed bug - while creating a palette sometimes Wink crashed, fixed now. Also now Wink does not crash if a number > 256 is entered in the number of colours entry.
3) Fixed bug - when the edit-callout-text button was clicked and the callout was invalid, Wink crashed. Fixed now. Also fixed a crash that happened if the current frame has an invalid callout and user selected a valid callout from the list.
4) Fixed bug - if the callout text in one frame was being edited and you clicked on another frame's thumbnail, the changed text was saved in the new frame instead of the original frame. Fixed now.
5) Fixed bug - if the splitter bar between main and thumbnail view was doubleclicked, Wink went into a weird state showing only the mainview and later if the thumbnails-only view is chosen it showed an all blank window. Fixed now.
6) Export to HTML now saves all the images in a separate folder just like "Save Webpage" option works in browsers.
7) Fixed bug - in systems where english is not the default locale Wink was displaying "strXXX" strings in the UI. Fixed now.
8) Fixed bug - moving multiple thumbnails to an earlier position in the thumbnails window was moving the wrong frames. Fixed now.
9) Fixed bug - when all items in a project were deleted a message "couldn't get information about list control item 0" was shown. A similar message was shown when moving all frames from one project to another. Fixed now.
10) Fixed bug - when the project output file was specified without giving full path with the directory information, the output was placed in start menu folder. Fixed now, the output is placed in the project's folder if the project was saved atleast once, if not it is placed in the desktop.
11) Fixed bug - when dragging an item in the main window the statusbar showed the position from the window origin instead of the frame origin. Fixed now.
12) Added a text box in the toolbar to goto a frame quickly - enter the frame number and press enter to goto that frame. Shortcut key to goto this toolbar item is Ctrl+J, and it is also available in the "View" menu. Because of this addition the status bar pane showing "frame x of y" has been removed.
13) Added option in "Resize Frames" dialog to resize only frames (along with "all elements" and "resize frames & cursor").
14) Added option in preferences dialog to allow/disallow opening multiple instances of Wink when double-clicking a project in windows explorer.
15) Optimized captures while running on 32 bit displays (noticeable improvement in laptops with 32 bit displays)
16) Added feature - new capture mode using keypresses. The previous "mouse-driven" capture is now changed to "input-driven" capture and in the file>new dialog you can choose if you want to capture automatically at mouse-clicks and/or key-presses. Please remember that capturing while pressing keys will be slow and so type keys slowly to make sure all frames are captured. Also the Preferences dialog has a new option to select which keys you dont want to use for capturing (by default numlock,capslock,scrolllock,alt+f4 and alt+tab are used).

build 700
---------

1) Added new palette creation option - "Histogram + Optimized Octree". This method will fill 1/4 of the palette with most frequently used colours and the rest with an octree palette so colours used a lot will remain the same in the output.
2) Added feature - callouts are now resized to fit the given text whenever you save the text modifications, when you choose a new callout, and when you import text from an external file.
3) The Play and Pause button in the flash controlbar have been merged to a single button in the output - when playing the pause button is shown and when paused the play button will be shown. But in the flash controller choose dialog and flash controller edit dialog they are shown as different buttons to aid editing.
4) When clicking on the flash controller progress bar, the paused state is now preserved - earlier it always started to play when clicking on any position in the progress bar.
5) Fixed bug - all bugs related to goto button targets have been fixed. So now if you drag and drop frames that have goto buttons or that are pointed to by buttons in other frames, everything should stay linked correctly.
6) Fixed display bug - wrong selection of items when deleting a thumbnail from the list.
7) Fixed bug - mouse-driven capture was not capturing frames when clicking on title bars or in the taskbar, and also in the scrollbars of a few apps. Fixed now.
8) Fixed bug - mouse-driven capture caused issues when clicking on the start menu. Now fixed for all OSs other than Win95 (not possible to fix in win95).
9) Added option in preferences dialog - "Compress fast while capturing". When this is enabled, mouse-driven capture will be more efficient (but will take more memory).
10) Fixed bug - when selecting more than one frame all buttons in the properties bar for single frame options were accessible even though none of the options were used on any of the selected frames. Fixed now.
11) Added feature - when dragging any item in Wink main window, the statusbar now shows the position as you drag.

build 650
---------

1) Fixed bug - when adding a new callout it was placed at the top of the list. Now it is placed in proper sorted order.
2) Fixed bug - deleting two callouts that is placed just above each other gave an error when deleting the second one. Fixed now.
3) Fixed bug - deleting the last callout in a "folder" was not deleting the folder. Fixed now.
4) Fixed bug - edit a legacy callout and saving changes makes it a non-legacy callout but it was still shown under legacy folder. Now it is immediately moved outside the legacy folder after modifying and saving.
5) Pressing Enter key on a thumbnail in Thumbnails window is a shortcut to toggle thumbnails-only mode (along with the Alt+F6 shortcut).
6) Fixed bug - context menu icons were not transparent. Fixed now.
7) Fixed bug - in large projects with frames > 700, thumbnail icons were overlapping and wrapping around. Fixed now. But still there is a bug in windows list control which causes a big gap in the thumbnails list occasionally, no way to fix that.
8) Fixed flickering when editing the text in a large sized callout.
9) During uninstall the whole Wink-directory tree was removed. Changed it so that only the files belonging to Wink are removed.
10) New feature - Added control bar to flash output. User can now play/pause and move to random portions in the flash movie while viewing. The control bar is enabled just like a preloader, in preferences dialog.
11) New feature - Added new capture mode called "mouse-driven capture". You can choose a hotkey to start/stop capturing in this mode (just like a hotkey for timed capture). 
    While capturing a new project you press this hotkey to start mouse-driven capture mode. Every time a mouse button is pressed or released, Wink tries to intelligently capture a screenshot at that time. Using this you can do most of the capture work by just walking through your target software as you would use it. Of course whenever you want to force a screenshot capture use the single frame capture hotkey.
12) Fixed bug - in systems where it was not possible to set the language to English, Wink was always showing strings as "strXXX" in the UI. Fixed now, Wink will show English in all systems (other language translations are on the way).

build 600
---------

1) Fixed bug - transparency in the background images for a flash preloader were not handled properly while rendering. Fixed so that they appear correctly.
2) Moved the "include button images" option in "Export as PostScript" dialog above to match where it is in the "Export as PDF" dialog.
3) In the Edit flash preloader dialog, changed the text font field into a combo box with the possible choices. The available choices are limited to standard flash fonts that are portable across all platforms.
4) Double-clicking a goto button will now open the choose goto target frame dialog (in Wink 1.0 double-clicking any button would bring up the choose button image dialog, but that is removed in Wink 1.5)
5) Fixed bug - transparency issues when exporting and importing back a cursor.
6) Fixed bug - selecting and copying a frame image with any of the other elements copied only the frame image. Fixed now.
7) Starting a timed capture will now play the same audio tone (once) that is played when capturing a single frame.
8) Fixed bug - toolbar and statusbar states were not saved when Wink was closed and opened again. Fixed now.
9) "Choose Font" in the Image menu has been renamed to "Choose Callout Font"
10) If you choose multiple frames, place the cursor in one of the text boxes in the properties bar (for eg. wait time ms) and press enter, the value shown in that text box will be set for all the selected frames (earlier you had to modify the value, now you only need to press enter).
11) Opening a project that already is opened in Wink was opening it a second time. Now added a message box to ask the user if he wants to open it another time or just activate the existing window.
12) When resizing frames with the option "Resize only frame and cursor", the frame size will now be used as reference (earlier the background image size was used).
13) Added feature - use mouse to drag the position/resize the text and progress bar items in the Edit Flash Preloader dialog.
14) Added feature - for timed screenshot captures you can now specify the frame rate in seconds/minutes/hours. This allows to capture at rates slower than 1 frame per second.
15) All captures will now have the timed capture option enabled
16) File>New dialog now remembers previously chosen values.
17) Fixed bug - if Wink window was minimized and closed from taskbar, the next time it will open outside the screen and will not be visible. Fixed now.
18) Uninstall will now ask if you want to remove the settings & preferences.. if Yes is chosen the Wink registry keys for current user will be removed.
19) In the Choose Hotkey dialog the left and right Windows keys are now treated as modifiers (like ctrl, alt and shift).
20) Legacy callouts are now placed inside a tree folder in the Choose Callout list to save space.
21) Fixed bug - menu icons were not transparent. Fixed now.
22) Double clicking an item in the FlashPreloader/Callout list is now a shortcut to selecting and pressing OK
23) Fixed bug - When editing a Flash Preloader the Text Label & Progress Bar options could be edited at first even though they are not enabled. Fixed now.
24) When creating a new Flash Preloader the "Text Label" and "Progress Bar" now have valid default values instead of (0 0 -1 -1)

build 530
---------

1) Fixed toolbar/properties bar icon issues in win98/ME
2) Fixed wrong link in "Wink on the Web" web link in the start menu
3) Added option in preferences dlg to automatically save the current project before rendering
4) Fixed callout text editing bug where portions of the text were getting clipped weirdly and line wrapping was going wrong.
5) Added feature to show callouts in a tree fashion in the choose callout dialog. To do this all new callouts have been renamed, each callout name is split into parts using the '.' character and each part is shown as one level in the tree. Name your custom callouts accordingly to make use of this feature.
6) After creating a new callout using 'Create new' or 'Create copy' button in the choose callout dialog, the callout editor is now automatically opened. Similarly when creating a new flash preloader the new preloader is automatically opened for editing.
7) After creating a new callout in the choose callout dialog, the new callout is now placed at the correct place in the tree and not at the end.
8) Fixed bug - when having a background where the frame image is placed in the top left corner, selecting the frame image was moving it to make room for the selection rectangle. Fixed now.
9) Fixed bug - copying the frame image to an image editor and then going back to Wink changed some of the colors in the frame image temporarily (after changing to another frame and back again the colors were back to normal). Fixed now.
10) Fixed bug - when creating a new Callout and choosing Edit to go to the Edit Callout, it starts with a huge Text Field. Fixed now.


build 500
---------

1) When the capture window was minimized the tray icon options "cancel capture" and "finish capture" were not working. Fixed now.
2) The "Choose Goto Button 1 Image" and "Choose Goto Button 2 Image" options in the properties bar were not changing the button images. Fixed now.
3) When rendering to EXE Wink crashed at the end of render. Fixed now.
4) In 16 bits-per-pixel display mode when double-clicking a callout to edit the text, the text was displayed on a black background making it unreadable. Fixed now.
5) Dragging/entering new values for the "Frame position" (the position where the screenshots are placed against a background image) will now update the cursor positions also to match the new frame position.
6) Created new callouts preserving Wink 1.0 style so old projects opened with Wink 1.5 will show callouts virtually identical to those in Wink 1.0 (slightly nicer due to soft edges). The callout choose dialog shows old style callouts under "Legacy" category. It is recommended that you dont use these old callouts in new projects.
7) Fixed issues with text layout. This and the one above fix the "text cut off when opening Wink 1.0 projects in Wink 1.5" issue.
8) Added feature to show "frame icons" just below the thumbnails, indicating if this frame has any buttons, callouts, or timer.
9) Added feature to remember the last text alignment chosen when creating new callouts.
10) Removed the "default callout" option in the callout choosing dialog. Instead Wink now remembers the last callout chosen and uses that as default when creating new callouts.
11) The "insert frames" dialog will now remember the values that were given earlier instead of always showing default values.
12) Occasionally the next frame,previous frame buttons in the toolbar get disabled and you needed to give the slide focus by clicking it to enable them again. Fixed now.
13) When importing text in callouts, sometimes it was not imported into the selected callout and if the callout was hidden. Fixed now.
14) Wink 1.5 was crashing when the project setting for 'Cursor Movement' is set to maximum 'smooth' and rendered. Fixed now.
15) Added one more button to the callout editor toolbar - use the disk icon to save changes, use the X icon to discard changes. You can also save changes by clicking outside the callout as requested. You can also discard changes by pressing ESC key.
16) While editing callout text, the scrollbar now appears all the time and is shown outside the textarea to prevent unwanted rearranging of text. But still text might get rearranged a little while editing, this could not be prevented. Also on a related note, if the callout text alignment is anything other than left align, it will be changed to left align while editing.
17) When there is no text in a callout besides the "Your text will come here..." the line surrounding the text field was shown. Removed now.
18) Spin controls in all dialogs were showing text in bold (Frame rate in project settings, Thumbnail image size in preferences, Number of frames to insert in Insert frames). Fixed now.
19) Fixed issue where operations performed on one open window were actually passed to another open window. For eg. open two projects and try to close the first one the second project will close. Also if you try to copy callouts from one project Wink tries to copy from the second one and fails.. and other mysterious issues. Fixed now.
20) Added feature to automatically enable next/prev buttons when adding a callout to a frame. Also all buttons are disabled when the callout is removed.


version 1.5 build 400
---------------------

1) Completely rewrote Wink and created v1.5 which runs on both Windows and Linux.
2) Added multilingual support. Currently only english and german language packs are available, but if you are interested in translating Wink to your language email me.
3) Removed the cursor editor tool. Replaced it with the feature to import image files and use them as cursors. So to edit a cursor you can export it as an image, edit in your favourite image editor and then import back into Wink. Or just import any image and use that as the cursor.
4) Added feature to customize screen capture hotkeys. You can find the option in the Preferences dialog.
5) Added GIF image support (only read support). You can now import GIF images into Wink for the buttons and cursors.
6) Added "Resize Frames" feature to resize images in a project.
7) Fixed bug - doing screen capture when the display is in 16 bits-per-pixel colour mode caused cursors to have a white background instead of being transparent. Fixed now.
8) Fixed bug - inserting a copy of the currunt frame showed the wrong thumbnail for the newly added frame. Fixed now.
9) Fixed bug - selecting multiple frames and setting the target frame for all goto buttons in them did not work properly, only the last selected frame had the goto button target set correctly. Fixed now.
10) Fixed bug - If you use the goto buttons and have the same button in many frames points to a future frame (like frame 4, 5 and 6 having goto button 1 pointing to frame 10), only the last button would be displayed (only frame 6 would have it displayed). And in an EXE this would crash at the first frame having the goto button (crash at frame 4). Fixed now.
11) When creating a new project and choosing window/rectangle from the combo, Wink now automatically puts the user in selection mode (i.e. dont have to click the "Choose" button the first time when you select the type of capture)
12) When creating a new project the option "Hide Wink Window" now remembers the last setting.
13) Fixed bug - When the cursor was visible in one frame but not in the next, it was still animated in the frames that are generated between the two. Fixed now.
14) Fixed bug - If the project was rendered and you use the "view rendered output" menu option to open the rendered file, the next render would fail because the file was not closed properly. Fixed now.
15) Fixed bug - When inserting a new frame, if any of the frames after the new frame had goto buttons pointing to frames before the new frame, those goto buttons were not automatically adjusted (goto buttons in frames before the new frame were getting adjusted properly). Fixed now.
16) Double-clicking on a cursor in the list of cursors (while selecting in the Choose Cursor dialog) will now select it and dismiss the dialog.
17) Added feature to play a wav file after capturing each frame. The file to play can be configured from preferences dialog.
18) Fixed bug - If there is a textbox in the last frame, the textbox appears and disappears. Fixed now.
19) Added commandline option ("-r project.wnk") to render the given project.
20) Fixed bug - The last frame was not displaying for time specified in Wink when viewing the rendered .SWF file in a web page with "loop=true."  For eg, if the last frame was set to display for 5000 milliseconds, it displayed only for a fraction of a second before starting over. Fixed now.
21) Added a lot of new options in the file new dialog.
    a) The capture region can be entered manually.
	b) The capture region will be highlighted at the edges and top. These highlight edges can be dragged and moved
	   to edit the capture region with ease. Of course when you are dragging the highlight edges using the mouse, you
	   can also use the arrow keys (with ctrl/shift modifiers) for finer editing.
	c) Also new preset regions are available in the dialog for commonly used sizes that users have reported.
22) Added feature to export/import all the text in the project (callouts+titles). This provides an easier way to translate projects by exporting all the text, translate externally in a text editor and import back.
23) Added feature - exporting a Wink project as a PostScript (*.ps) file. This along with export as PDF and HTML gives powerful capabilities.
24) Added more options to PDF export - page sizes, portrait/landscape mode, include the button images etc..
25) Added feature - preloader with progress bar/percent/text to flash output. This preloader is shown when the flash file is loading and waits until the load completes. Many predefined preloader templates are available to choose from, and you could create your own too. To enable preloaders open the "Preferences" dialog and enable the option. In the next release this can be set on a per-project basis.
26) Added feature - Inline editing of text in callout, instead of doing it in the properties bar. This will be very useful to click and edit text inside callouts in the screen when there is more than 1 callout.
27) Fixed bug - when starting Wink via doubleclick on .wnk file in explorer there were no callout templates in the list. Fixed now.
28) Instead of choosing the first callout as the default for new callouts/captures, there is now an option to set a callout as the default one in the "Choose Callout" dialog.
29) Added feature - A better callout editor/choose. Callouts can now have full alpha channels with shadows etc. Also the callouts are stored as SVG files for easy extensibility in future. All the stock callouts have been completely recreated using this new format. If you had created custom callouts Wink will create a new callout with the outlines you had drawn but you will have to edit the callout and add the colours.
30) Added feature - When scaling callouts to different sizes the entire callout was scaled along with the side beaks/arrows/borders etc.. this was not very good looking if the callouts are bigger/smaller than normal size. Now there is a new option "Intelligent Resize" for each callout which can be set by the callout creator. If this option is set then Wink will resize the callout intelligently preserving the edges etc.. Most of the stock callouts have this option set and their outlines placed so that they will scale gracefully.
